<?php
$form['slideshowkit'] = array(
'#title' => t('SOOPER SlideshowKit'),
'#type' => 'fieldset',
'#collapsible' => TRUE,
'#collapsed' => TRUE,
'#weight' => 3,
);

$form['slideshowkit']['slideshowkit_enable'] = array(
'#type'          => 'checkbox',
'#title'         => t('Enable SOOPER SlideshowKit'),
'#default_value' => theme_get_setting('slideshowkit_enable'),
'#prefix'        => '<p>SOOPER SlideshowKit uses data from Drupal to present your slideshowd content in an animated slideshow. The plugin supports custom HTML content but also list views generated by CCK and Views. Slideshows are created from whatever you put in the Slideshow region (in block administration).</p>',
);

$form['slideshowkit']['cycle_invoke'] = array(
  '#type' => 'textfield',
  '#title' => t('Element for slideshow invocation'),
  '#default_value' => $settings['cycle_invoke'],
  '#description' => t('valid CSS3 selector for pointing SlideshowKit to the parent element(s) of slideshow items.'),
);

$form['slideshowkit']['cycle_fx'] = array(
'#type' => 'select',
'#title' => t('Transition Animation'),
'#default_value' => theme_get_setting('cycle_fx'),
'#options'       => array(
  'blindX' => t('blindX'),
  'blindY' => t('blindY'),
  'blindZ' => t('blindZ'),
  'cover' => t('cover'),
  'curtainX' => t('curtainX'),
  'curtainY' => t('curtainY'),
  'fade' => t('fade'),
  'fadeZoom' => t('fadeZoom'),
  'growX' => t('growX'),
  'growY' => t('growY'),
  'scrollUp' => t('scrollUp'),
  'scrollDown' => t('scrollDown'),
  'scrollLeft' => t('scrollLeft'),
  'scrollRight' => t('scrollRight'),
  'scrollHorz' => t('scrollHorz'),
  'scrollVert' => t('scrollVert'),
  'shuffle' => t('shuffle'),
  'slideX' => t('slideX'),
  'slideY' => t('slideY'),
  'toss' => t('toss'),
  'turnUp' => t('turnUp'),
  'turnDown' => t('turnDown'),
  'turnLeft' => t('turnLeft'),
  'turnRight' => t('turnRight'),
  'uncover' => t('uncover'),
  'wipe' => t('wipe'),
  'zoom' => t('zoom'),
),
);

$form['slideshowkit']['cycle_speed'] = array(
'#type' => 'textfield',
'#title' => t('speed'),
'#default_value' => theme_get_setting('cycle_speed'),
'#size' => 5,
'#maxlength' => 5,
'#description' => t('Speed of the transition in milliseconds.'),
'#element_validate' => array('is_number'),
);

$form['slideshowkit']['cycle_timeout'] = array(
'#type' => 'textfield',
'#title' => t('Timeout'),
'#default_value' => theme_get_setting('cycle_timeout'),
'#size' => 5,
'#maxlength' => 5,
'#description' => t('Time in milliseconds between slide transitions (0 to disable auto advance).'),
'#element_validate' => array('is_number'),
);

$form['slideshowkit']['cycle_delay'] = array(
'#type' => 'textfield',
'#title' => t('Delay'),
'#default_value' => theme_get_setting('cycle_delay'),
'#size' => 5,
'#maxlength' => 5,
'#description' => t('additional delay (in ms) for first transition (Can be negative).'),
'#element_validate' => array('is_number'),
);

$form['slideshowkit']['cycle_easing'] = array(
'#type' => 'select',
'#title' => t('Animation Easing'),
'#default_value' => theme_get_setting('cycle_easing'),
'#options' => $easing_options,
'#description' => t('This determines how the animation gains speed.'),
);

$form['slideshowkit']['cycle_pagerEvent'] = array(
'#type' => 'radios',
'#title' => t('Pager Event'),
'#default_value' => theme_get_setting('cycle_pagerEvent'),
'#options' => array(
 'mouseover' => t('hover'),
 'click' => t('click'),
),
);

$form['slideshowkit']['cycle_random'] = array(
'#type' => 'radios',
'#title' => t('Slides ordering'),
'#default_value' => theme_get_setting('cycle_random'),
'#options' => array(
 '0' => t('Sequential'),
 '1' => t('Random'),
),
);

$form['slideshowkit']['cycle_continuous'] = array(
'#type' => 'radios',
'#title' => t('Continous play'),
'#default_value' => theme_get_setting('cycle_continuous'),
'#options' => array(
 '0' => t('No'),
 '1' => t('Yes'),
),
'#description' => 'Set true to start next transition immediately after current one completes.',
);

$form['slideshowkit']['cycle_pause'] = array(
'#type' => 'radios',
'#title' => t('Pause on hover'),
'#default_value' => theme_get_setting('cycle_pause'),
'#options' => array(
 '0' => t('No'),
 '1' => t('Yes'),
),
);

$form['slideshowkit']['cycle_pauseOnPagerHover'] = array(
'#type' => 'radios',
'#title' => t('Pause on pager hover'),
'#default_value' => theme_get_setting('cycle_pauseOnPagerHover'),
'#options' => array(
 '0' => t('No'),
 '1' => t('Yes'),
),
);
